Upstream information

CVE-2014-9556 at MITRE

Description

Integer overflow in the qtmd_decompress function in libmspack 0.4 allows remote attackers to cause a denial of service (hang) via a crafted CAB file, which triggers an infinite loop.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 912214 [RESOLVED], 912316, 919283 [RESOLVED / FIXED], 934533 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • cabextract >= 1.2-2.12.1
  • libmspack0 >= 0.0.20060920alpha-74.5.1
Patchnames:
sledsp3-cabextract-12233
sledsp3-libmspack
SUSE Linux Enterprise Desktop 11 SP4
  • cabextract >= 1.2-2.12.1
Patchnames:
sledsp4-cabextract-12233
SUSE Linux Enterprise Desktop 12
  • libmspack >= 0.4-10.1
  • libmspack0 >= 0.4-10.1
Patchnames:
SUSE-SLE-DESKTOP-12-2015-123
SUSE-SLE-DESKTOP-12-2015-95
SUSE Linux Enterprise Desktop 12 SP1
  • libmspack0 >= 0.4-10.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libmspack0
SUSE Linux Enterprise Desktop 12 SP2
  • libmspack0 >= 0.4-14.4
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libmspack0
SUSE Linux Enterprise Desktop 12 SP3
  • libmspack0 >= 0.4-14.4
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libmspack0
SUSE Linux Enterprise Module for Basesystem 15
  • libmspack-devel >= 0.6-1.17
  • libmspack0 >= 0.6-1.17
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libmspack-devel
SUSE Linux Enterprise Server 11 SP3
  • libmspack0 >= 0.0.20060920alpha-74.5.1
Patchnames:
slessp3-libmspack
SUSE Linux Enterprise Server 11 SP4
  • libmspack0 >= 0.0.20060920alpha-74.5.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libmspack0
SUSE Linux Enterprise Server 12
  • libmspack >= 0.4-10.1
  • libmspack0 >= 0.4-10.1
Patchnames:
SUSE-SLE-SERVER-12-2015-123
SUSE-SLE-SERVER-12-2015-95
SUSE Linux Enterprise Server 12 SP1
  • libmspack0 >= 0.4-10.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libmspack0
SUSE Linux Enterprise Server 12 SP2
  • libmspack0 >= 0.4-14.4
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libmspack0
SUSE Linux Enterprise Server 12 SP3
  • libmspack0 >= 0.4-14.4
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libmspack0
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libmspack0 >= 0.4-14.4
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libmspack0
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • libmspack0 >= 0.0.20060920alpha-74.5.1
Patchnames:
slessp3-libmspack
SUSE Linux Enterprise Server for SAP Applications 12
  • libmspack >= 0.4-10.1
  • libmspack0 >= 0.4-10.1
Patchnames:
SUSE-SLE-SERVER-12-2015-123
SUSE-SLE-SERVER-12-2015-95
SUSE Linux Enterprise Server for VMWare 11 SP3
  • libmspack0 >= 0.0.20060920alpha-74.5.1
Patchnames:
slessp3-libmspack
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libmspack-devel >= 0.0.20060920alpha-74.5.1
Patchnames:
sdksp3-libmspack
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libmspack-devel >= 0.0.20060920alpha-74.5.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libmspack-devel
SUSE Linux Enterprise Software Development Kit 12
  • libmspack >= 0.4-10.1
  • libmspack-devel >= 0.4-10.1
Patchnames:
SUSE-SLE-SDK-12-2015-123
SUSE-SLE-SDK-12-2015-95
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libmspack-devel >= 0.4-10.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libmspack-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libmspack-devel >= 0.4-14.4
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libmspack-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libmspack-devel >= 0.4-14.4
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libmspack-devel
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libmspack-devel >= 0.0.20060920alpha-74.5.1
Builds
SAT Patch Nr: 10402
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libmspack0 >= 0.0.20060920alpha-74.5.1
Builds
SAT Patch Nr: 10402
openSUSE 13.1
  • libmspack >= 0.4-2.8.1
  • libmspack-debugsource >= 0.4-2.8.1
  • libmspack-devel >= 0.4-2.8.1
  • libmspack0 >= 0.4-2.8.1
  • libmspack0-debuginfo >= 0.4-2.8.1
Patchnames:
openSUSE-2015-208
openSUSE-2015-87
openSUSE Leap 15.0
  • libmspack0 >= 0.6-lp150.1.3
Patchnames:
openSUSE Leap 15.0 GA libmspack0
openSUSE Leap 42.1
  • libmspack0 >= 0.5-4.2
Patchnames:
openSUSE Leap 42.1 GA libmspack0
openSUSE Leap 42.2
  • libmspack0 >= 0.5-5.4
Patchnames:
openSUSE Leap 42.2 GA libmspack0
openSUSE Leap 42.3
  • libmspack0 >= 0.5-7.3
Patchnames:
openSUSE Leap 42.3 GA libmspack0
openSUSE Tumbleweed
  • libmspack-devel >= 0.5-2.8
  • libmspack0 >= 0.5-2.8
  • libmspack0-32bit >= 0.5-2.8
Patchnames:
openSUSE Tumbleweed GA libmspack-devel


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 libmspack Already fixed
SUSE Linux Enterprise Desktop 11 SP3 libmspack Already fixed
SUSE Linux Enterprise Desktop 11 SP4 libmspack In progress
SUSE Linux Enterprise Desktop 12 GA libmspack Released
SUSE Linux Enterprise Desktop 12 SP1 libmspack Released
SUSE Linux Enterprise SDK 11 SP1 libmspack Already fixed
SUSE Linux Enterprise SDK 11 SP3 libmspack Already fixed
SUSE Linux Enterprise SDK 11 SP4 libmspack In progress
SUSE Linux Enterprise SDK 12 GA libmspack Released
SUSE Linux Enterprise Server 11 SP1 libmspack Already fixed
SUSE Linux Enterprise Server 11 SP1 LTSS libmspack Already fixed
SUSE Linux Enterprise Server 11 SP3 libmspack Already fixed
SUSE Linux Enterprise Server 11 SP4 libmspack In progress
SUSE Linux Enterprise Server 12 GA libmspack Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 libmspack Already fixed
SUSE Linux Enterprise Server for VMWare 11 SP3 libmspack Already fixed